# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/spi/mxicy,mx25f0a-spi.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Macronix SPI controller

maintainers:
  - Miquel Raynal <miquel.raynal@bootlin.com>

allOf:
  - $ref: "spi-controller.yaml#"

properties:
  compatible:
    const: mxicy,mx25f0a-spi

  reg:
    minItems: 2
    maxItems: 2

  reg-names:
    items:
      - const: regs
      - const: dirmap

  interrupts:
    maxItems: 1

  clocks:
    minItems: 3
    maxItems: 3

  clock-names:
    items:
      - const: send_clk
      - const: send_dly_clk
      - const: ps_clk

  nand-ecc-engine:
    description: NAND ECC engine used by the SPI controller in order to perform
      on-the-fly correction when using a SPI-NAND memory.
    $ref: /schemas/types.yaml#/definitions/phandle

required:
  - compatible
  - reg
  - reg-names
  - clocks
  - clock-names

unevaluatedProperties: false

examples:
  - |
    spi@43c30000 {
      compatible = "mxicy,mx25f0a-spi";
      reg = <0x43c30000 0x10000>, <0xa0000000 0x20000000>;
      reg-names = "regs", "dirmap";
      clocks = <&clkwizard 0>, <&clkwizard 1>, <&clkc 18>;
      clock-names = "send_clk", "send_dly_clk", "ps_clk";
      #address-cells = <1>;
      #size-cells = <0>;
    };
